# Class CIM_MediaAccessStatData
extends CIM_StatisticalData

Statistics related to reading and writing at a specific MediaAccessDevice, or for a specific StorageExtent. The same class is used to represent this data - whether for the MediaAccessDevice (independent of the StorageExtent), OR for the Extent (independent of its AccessDevice). The element whose statistics are described is associated using the relationship, ElementStatisticalData. Note that this class models the same properties as MediaAccessStatInfo. This class, however, uses the simplified key mechanisms of its superclass, StatisticalData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_MediaAccessStatData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Statistics related to reading and writing at a specific MediaAccessDevice, or for a specific StorageExtent. The same class is used to represent this data - whether for the MediaAccessDevice (independent of the StorageExtent), OR for the Extent (independent of its AccessDevice). The element whose statistics are described is associated using the relationship, ElementStatisticalData. Note that this class models the same properties as MediaAccessStatInfo. This class, however, uses the simplified key mechanisms of its superclass, StatisticalData.

UMLPackagePath | string | CIM::Device::StorageDevices
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ReadOperations | uint64 |
Counter | boolean | true
Description | string | The number of attempted read operations.
RecoveredReadOperations | uint64 |
Counter | boolean | true
Description | string | The number of recovered read operations.
RecoveredSeekOperations | uint64 |
Counter | boolean | true
Description | string | The number of recovered seek operations.
RecoveredWriteOperations | uint64 |
Counter | boolean | true
Description | string | The number of recovered write operations.
UnrecoverableReadOperations | uint64 |
Counter | boolean | true
Description | string | The number of unrecoverable read operations.
UnrecoverableSeekOperations | uint64 |
Counter | boolean | true
Description | string | The number of unrecoverable seek operations.
UnrecoverableWriteOperations | uint64 |
Counter | boolean | true
Description | string | The number of unrecoverable write operations.
WriteOperations | uint64 |
Counter | boolean | true
Description | string | The number of attempted write operations.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData